Name:           colorized-logs
Version:        2.5
Release:        %mkrel 2
Summary:        tools for logs with ANSI color
Group:          Games/Other
License:        MIT
URL:            https://github.com/kilobyte/colorized-logs
Source0:        https://github.com/kilobyte/colorized-logs/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake

%description
Here's a handful of tools for dealing with logs with ANSI color.

Some tools like gcc, dmesg, grep --color, colordiff, ccze, etc can enhance
their output with color, making reading a lot more pleasant.  The difference
can be as big as between slogging through twenty pages of a build log to
find a failure, and a swift drag of the scroller to do the same within a
second.

Such colored logs can be usually viewed on a terminal or with "less -R";
this package gives you:
 * ansi2html: convert logs to HTML
 * ansi2txt: drop ANSI control codes
 * ttyrec2ansi: drop timing data from ttyrec files
 * pipetty: makes a program think its stdout and stderr are connected to a
   terminal; use as a prefix: "pipetty dmesg|tee"

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog README
%{_bindir}/ansi2html
%{_bindir}/ansi2txt
%{_bindir}/lesstty
%{_bindir}/pipetty
%{_bindir}/ttyrec2ansi
%{_mandir}/man1/ansi2html.1*
%{_mandir}/man1/ansi2txt.1*
%{_mandir}/man1/lesstty.1*
%{_mandir}/man1/pipetty.1*
%{_mandir}/man1/ttyrec2ansi.1*


%changelog
* Wed Feb 19 2020 umeabot <umeabot> 2.5-2.mga8
+ Revision: 1543910
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 daviddavid <daviddavid> 2.5-1.mga8
+ Revision: 1482326
- new version: 2.5
- use new cmake macros

* Sun Feb 10 2019 daviddavid <daviddavid> 2.4-1.mga7
+ Revision: 1364797
- initial package colorized-logs

